cURL
curl --request GET \
--url https://aodocs.altirnao.com/api/library/v1/{libId}/categoryValueMappings/{mappingId}/targets \
--header 'Authorization: Bearer <token>'import requests
url = "https://aodocs.altirnao.com/api/library/v1/{libId}/categoryValueMappings/{mappingId}/targets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aodocs.altirnao.com/api/library/v1/{libId}/categoryValueMappings/{mappingId}/targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"kind": "<string>",
"targetValues": [
{
"ancestors": "<array>",
"id": "<string>",
"kind": "<string>",
"leaf": true,
"leafInNotOutdatedTree": true,
"name": "<string>",
"name_i18n": "<string>",
"outdated": true,
"parentId": "<string>",
"shortName": "<string>",
"value": "<string>"
}
]
}library
Get libraryv1 categoryvaluemappings targets
Returns the target category values mapped to a given source value.
GET
/
library
/
v1
/
{libId}
/
categoryValueMappings
/
{mappingId}
/
targets
cURL
Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the library
The ID of the category value mapping.
Query Parameters
The ID of the source category value to look up mappings for.
The security code
The G Suite domain
⌘I